Bug 11164 - Did not manage to negotiate mandatory feature SIGN for dcerpc auth_level 6
Did not manage to negotiate mandatory feature SIGN for dcerpc auth_level 6
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.2.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
https://bugs.launchpad.net/ubuntu/+so...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-15 21:20 UTC by Stefan Metzmacher
Modified: 2015-04-14 19:20 UTC (History)
3 users (show)

See Also:


Attachments
Patch for v4-0-test (1.57 KB, patch)
2015-03-30 06:37 UTC, Stefan Metzmacher
asn: review+
gd: review+
Details
Patch for v4-1-test (1.57 KB, patch)
2015-03-30 06:37 UTC, Stefan Metzmacher
asn: review+
gd: review+
Details
Patch for v4-2-test (1.57 KB, patch)
2015-03-30 06:38 UTC, Stefan Metzmacher
asn: review+
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2015-03-15 21:20:35 UTC
See https://lists.samba.org/archive/samba/2014-May/181193.html
and https://bugs.launchpad.net/ubuntu/+source/samba/+bug/1357471

 ../auth/gensec/gensec.c:247(gensec_update)
   Did not manage to negotiate mandetory feature SIGN for dcerpc auth_level 6

This happens because gensec_gssapi_update() returns NT_STATUS_OK
on error.

This is typically triggered and ignored by spnego.
Comment 1 Stefan Metzmacher 2015-03-30 06:37:07 UTC
Created attachment 10917 [details]
Patch for v4-0-test
Comment 2 Stefan Metzmacher 2015-03-30 06:37:34 UTC
Created attachment 10918 [details]
Patch for v4-1-test
Comment 3 Stefan Metzmacher 2015-03-30 06:38:14 UTC
Created attachment 10919 [details]
Patch for v4-2-test
Comment 4 Karolin Seeger 2015-04-08 19:05:56 UTC
Pushed to autobuild-v4-[0|1|2]-test.
Comment 5 Karolin Seeger 2015-04-09 19:18:26 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-2-test and v4-1-test.
Re-trying autobuild-v4-0-test.
Comment 6 Karolin Seeger 2015-04-14 19:20:53 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to v4-0-test.
Closing out bug report.

Thanks!